//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace WebApplication9.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class AUTOS
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public AUTOS()
        {
            this.INGRESA_VEHICULO = new HashSet<INGRESA_VEHICULO>();
        }
    
        public int ID_AUTO { get; set; }
        public string ID_MODELO { get; set; }
        public string PATENTE { get; set; }
        public Nullable<int> ANO { get; set; }
        public string COLOR { get; set; }
        public string OBSERVACION { get; set; }
    
        public virtual MODELO MODELO { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<INGRESA_VEHICULO> INGRESA_VEHICULO { get; set; }
    }
}
